Last Comment Bug 205850 - "rightmargin" keyword seems to be ignored. there should be some white space between the right border and the text
: "rightmargin" keyword seems to be ignored. there should be some white space b...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout: Block and Inline (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Samuel Sieb
: Hixie (not reading bugmail)
:
Mentors:
http://www.visual-imagination.de/wir....
Depends on: 125246
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-15 13:46 PDT by Kai Schröder
Modified: 2003-06-12 22:00 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
add rightmargin property (2.35 KB, patch)
2003-05-15 15:44 PDT, Samuel Sieb
no flags Details | Diff | Splinter Review
now with bottommargin as well (3.41 KB, patch)
2003-05-16 09:05 PDT, Samuel Sieb
no flags Details | Diff | Splinter Review
all the margins V3 (3.41 KB, patch)
2003-05-16 12:22 PDT, Samuel Sieb
bzbarsky: review+
bzbarsky: superreview+
asa: approval1.4+
Details | Diff | Splinter Review

Description Kai Schröder 2003-05-15 13:46:15 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4b) Gecko/20030507
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4b) Gecko/20030507

In the page at http://www.visual-imagination.de/wir.html, the "rightmargin"
keyword seems to be ignored. it is written in capital letters in the html code,
but changing that to small letters doesn't help. there should be some white
space (50 pixels) between the right border and the text

Reproducible: Always

Steps to Reproduce:
1. just have a look at http://www.visual-imagination.de/wir.html
2.
3.
Comment 1 Bill Mason 2003-05-15 13:53:55 PDT
"rightmargin" is not part of the HTML specs.  It is an IE-only proprietary
attribute.
Comment 2 Boris Zbarsky [:bz] (still a bit busy) 2003-05-15 14:31:16 PDT
Reopening.  We support leftmargin and topmargin in quirks mode; I do not see a
reason to support those but not rightmargin....
Comment 3 Hixie (not reading bugmail) 2003-05-15 14:35:58 PDT
Well I can see _some_ reasons...
Comment 4 Samuel Sieb 2003-05-15 15:03:02 PDT
I think I can do this.
Comment 5 Samuel Sieb 2003-05-15 15:44:43 PDT
Created attachment 123453 [details] [diff] [review]
add rightmargin property
Comment 6 Samuel Sieb 2003-05-15 15:45:28 PDT
Who should review it?
Comment 7 Boris Zbarsky [:bz] (still a bit busy) 2003-05-15 20:36:23 PDT
Comment on attachment 123453 [details] [diff] [review]
add rightmargin property

Any reason not to do bottommargin while you're here?
Comment 8 Samuel Sieb 2003-05-15 22:47:59 PDT
Oh, I was thinking bottommargin wouldn't make sense and didn't know if it
existed. :-)  Patch coming up.
Comment 9 Samuel Sieb 2003-05-16 09:05:43 PDT
Created attachment 123510 [details] [diff] [review]
now with bottommargin as well
Comment 10 Boris Zbarsky [:bz] (still a bit busy) 2003-05-16 11:26:38 PDT
The bottommargin code gets the topmargin attribute in that patch....
Fix that?  ;)
Comment 11 Samuel Sieb 2003-05-16 12:22:32 PDT
Created attachment 123527 [details] [diff] [review]
all the margins V3

C&P error.  And my testcase wasn't good enough... :-/
Comment 12 Boris Zbarsky [:bz] (still a bit busy) 2003-05-16 12:52:33 PDT
Comment on attachment 123527 [details] [diff] [review]
all the margins V3

r+sr=me, but please hold off on this checkin
until dbaron lands his nsCSSDeclaration rewrite.  You'll
need to update to use nsCSSRect& instead of nsCSSRect* at that point, but that
should be simple.
Comment 13 Samuel Sieb 2003-05-16 16:16:14 PDT
What's the bug # so I can watch for it?
Comment 14 Boris Zbarsky [:bz] (still a bit busy) 2003-05-17 00:11:21 PDT
Bug 125246.  Thanks for the patch, Samuel!
Comment 15 Samuel Sieb 2003-06-02 23:02:25 PDT
Is the nsCSSDeclaration rewrite going to make it on the 1.4 branch?  Maybe this
could go on the branch but wait on the trunk?
Comment 16 Boris Zbarsky [:bz] (still a bit busy) 2003-06-03 07:19:36 PDT
That's certainly not going onto the branch.  If you can get approval, feel free
to land on the branch.
Comment 17 Asa Dotzler [:asa] 2003-06-03 12:47:42 PDT
Comment on attachment 123527 [details] [diff] [review]
all the margins V3

a=asa (on behalf of drivers) for checkin to the 1.4 branch.
Comment 18 Samuel Sieb 2003-06-03 23:00:35 PDT
checked into branch
Comment 19 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2003-06-04 10:44:06 PDT
Feel free to land this on the trunk as well -- I can handle the merging needed.
Comment 20 Ninoschka Baca 2003-06-12 16:30:49 PDT
Branch build 2003-06-12: Win2k, Mac 10.1.5
Branch build 2003-06-11: Linux RH 8
Marking Verified1.4.
It appears that this is fixed on the branch builds. I see a wider right margin
versus what is displayed in the trunk builds. 
Comment 21 Samuel Sieb 2003-06-12 22:00:54 PDT
checked in

Note You need to log in before you can comment on or make changes to this bug.